%define pythonver 2.4
%define pythonsitedir %{_libdir}/python%{pythonver}/site-packages
%define pythonpkg python
%define minor %{nil}

%define qtversion 3.3.4
%define qtpkg qt
%define sip_version 4.2.1

%if "%{pythonver}" == "2.4"
%define pythonprog /usr/bin/python2.4
%else
%define pythonprog /usr/bin/python
%endif

Summary: Python bindings for Qt
Name: PyQt
Version: 3.14.1
Release: 1
License: GPL
Group: Development/Languages
Url: http://www.riverbankcomputing.co.uk/pyqt/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source: http://www.riverbankcomputing.co.uk/download/sip/%{name}-x11-gpl-%{version}.tar.gz

BuildPrereq: qt-MySQL >= %{qtversion}
BuildPrereq: qt-PostgreSQL >= %{qtversion}
BuildPrereq: qt-ODBC >= %{qtversion}
BuildPrereq: sip-devel >= %{sip_version}
BuildPrereq: qt-devel >= %{qtversion}
BuildPrereq: %{pythonpkg}-devel >= %{pythonver}%{minor}

Requires: %{pythonpkg} >= %{pythonver}%{minor}
Requires: qt >= %{qtversion}
Requires: sip

%description
These are Python bindings for Qt.

%package devel
Summary: Files needed to build other bindings based on Qt
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt classes (e.g. KDE or your own).

%package examples
Summary: Examples for PyQt
Requires: %{name} = %{version}-%{release}
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%prep
%setup -q -n %{name}-x11-gpl-%{version}

%build
QTDIR="" && . /etc/profile.d/qt.sh

echo yes | %pythonprog configure.py -d %{pythonsitedir}

# Makefiles are broken, workaround
make -C qt %{?_smp_mflags}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

mv examples3 examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*
%{pythonsitedir}/*

%files devel
%defattr(-,root,root)
%{_datadir}/sip
%doc doc/PyQt.html

%files examples
%defattr(-,root,root)
%doc examples/README examples/*.py
%doc examples/*.png examples/*.gif examples/*.bmp

%changelog
* Wed Mar 23 2005 Than Ngo <than@redhat.com> 3.14.1-1
- 3.14.1

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.14-1
- 3.14

* Fri Jan 21 2005 Than Ngo <than@redhat.com> 3.13-3
- Add missing sip dependency

* Sat Nov 13 2004 Than Ngo <than@redhat.com> 3.13-2
- rebuilt against python 2.4

* Fri Sep 24 2004 Than Ngo <than@redhat.com> 3.13-1
- update to 3.13

* Fri Jun 18 2004 Than Ngo <than@redhat.com> 3.12-3
- rebuilt against gcc 3.4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 27 2004 Than Ngo <than@redhat.com> 3.12-1
- update to 3.12
- add BuildRequires on python-devel sip-devel , bug #124417

* Fri Mar 12 2004 Than Ngo <than@redhat.com> 3.11-1
- 3.11

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 3.10-3
- add some patch files from CVS, which supports Qt 3.3.0

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 3.10-2
- use new methode of building SIP

* Wed Feb 11 2004 Than Ngo <than@redhat.com> 3.10-1
- 3.10 release
- build against qt 3.3.0

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.8.1-3
- rebuild against python 2.3/ Qt 3.2.3

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 3.8.1-2
- added sip_version

* Sat Sep 27 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- 3.8.1

* Mon Jul 21 2003 Than Ngo <than@redhat.com> 3.7-1
- 3.7

* Tue Jun 24 2003 Than Ngo <than@redhat.com> 3.6-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 6 2003 Than Ngo <than@redhat.com> 3.6-2.1
- fix search path problem (bug #87476)

* Mon Apr 28 2003 Than Ngo <than@redhat.com> 3.6-1
- 3.6
- remove unneeded patch file

* Mon Apr 21 2003 Elliot Lee <sopwith@redhat.com> 3.5.1-0.20030303.1
- Fix build for smp_mflags

* Tue Mar  4 2003 Than Ngo <than@redhat.com> 3.5.1-0.20030303.0
- snapshot 20030303, support qt 3.1.2

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 3.5-5
- rebuilt against new python

* Thu Jan 30 2003 Than Ngo <than@redhat.com> 3.5-4
- excludearch alpha
- disable smp_flag on s390

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 08 2003 Elliot Lee <sopwith@redhat.com> 3.5-3
- Don't exclude alpha

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-2
- fix typo

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-1
- 3.5 release

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.5-0.20021114.1
- Release Candidate, which supports qt 3.1.0
- fix dependency problem with python

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.4-1
- 3.4

* Sat Aug 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- to not enable parallel make
- specfile cleanups
- again excludearch alpha

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild using new gcc-3.2-0.3
- remove excludearch alpha

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-2
- rebuild to get rid of deps

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to version 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4.1
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Fri Mar  8 2002 Than Ngo <than@redhat.com> 3.0-4
- rebuild against qt-3
- fix Url

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild against python 1.5.2 and qt 2.3.2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0
- add 4 official patches
- build against qt 3

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- add patch from alane@geeksrus.net (bug #54627)

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4
- remove a g++ patch, since the bug is fixed in current gcc-2.96-81

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- rebuild against sip-2.3-2

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3
- use python 1.5

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- fixed to build against gcc-2.96-72

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require a package we aren't shipping (python2 >= 2.0,
  not python >= 2.0)

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuild against the new qt-2.2.3
- fixed to build with python 2.0
- add missing PyQt docs

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- fixed BuildPrereq

* Tue Oct 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove bogus requirement on python-%%{pythonver}, there's no such
  thing as a python-1.5 package and we actually use version 1.5.2
  Than: I take this VERY seriously... "It compiles, therefore it
  works!" is a registered trademark of myself. ;)
- some fixes to spec file
- update URL

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1
- add requires python

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
- add defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
